<?php
include("../include/session.php");

$userId = $_SESSION['username'];
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s", time());
$message_text = '';

$table_name = $_SESSION['db_prefix']."_store_items";
$items_query = "SELECT price FROM $table_name WHERE  store_item_id = '".$_SESSION['store_item_id']."' ";
$items_result = mySQL_query($items_query);
$price = mysql_result($items_result, 0, "price");


if ($_SESSION['supply_group']=='employee') {
$table_name = $_SESSION['db_prefix']."_employee_supply";
$emp_supply_query = "SELECT emp_supply_no  FROM $table_name ORDER BY emp_supply_no DESC LIMIT 1  ";
$emp_supply_result = mySQL_query($emp_supply_query);
$emp_supply_num = mysql_num_rows($emp_supply_result);
if ($emp_supply_num!=0) {
$emp_supply_no = mysql_result($emp_supply_result, 0, "emp_supply_no");
}
else {
	$emp_supply_no=0;
}
$emp_supply_no=$emp_supply_no+1;


$table_name = $_SESSION['db_prefix']."_employee_supply";
$supply_query = "INSERT INTO $table_name (emp_id, emp_supply_no, status, issue_date, issued_by, authorised_by ) VALUES ('".$_SESSION['supply_to']."', '".$emp_supply_no."', 'S', '".$_SESSION['issue_date']."',  '".$_SESSION['issued_by']."', '".$_SESSION['authorised_by']."' ) ";
execsql($supply_query);

$table_name = $_SESSION['db_prefix']."_employee_supply";
$supply_id_query = "SELECT emp_supply_no  FROM $table_name ORDER BY emp_supply_no DESC LIMIT 1  ";
$supply_id_result = mySQL_query($supply_id_query);
$emp_supply_no = mysql_result($supply_id_result, 0, "emp_supply_no");

$table_name4 = $_SESSION['db_prefix']."_employee_supply_lines";  
$insert_item_query = "INSERT INTO $table_name4 (emp_id, emp_supply_no, status, store_item_id, quantity, price, issue_date ) VALUES ('".$_SESSION['supply_to']."', '".$emp_supply_no."', 'S', '".$_SESSION['store_item_id']."', '".$_SESSION['supply_qty']."', '".$price."', '".$_SESSION['issue_date']."' ) ";
execsql($insert_item_query);
}


if ($_SESSION['supply_group']=='department') {
$table_name = $_SESSION['db_prefix']."_department_supply";
$dep_supply_query = "SELECT dep_supply_no  FROM $table_name ORDER BY dep_supply_no DESC LIMIT 1  ";
$dep_supply_result = mySQL_query($dep_supply_query);
$dep_supply_num = mysql_num_rows($dep_supply_result);
if ($dep_supply_num!=0) {
$dep_supply_no = mysql_result($dep_supply_result, 0, "dep_supply_no");
}
else {
	$dep_supply_no=0;
}
$dep_supply_no=$dep_supply_no+1;


$table_name = $_SESSION['db_prefix']."_department_supply";
$supply_query = "INSERT INTO $table_name (dep_supply_no, department, supplied_to, issue_date, issued_by, authorised_by ) VALUES ( '".$dep_supply_no."', '".$_SESSION['supply_to']."','".$_SESSION['received_by']."', '".$_SESSION['issue_date']."',  '".$_SESSION['issued_by']."', '".$_SESSION['authorised_by']."' ) ";
execsql($supply_query);

$table_name = $_SESSION['db_prefix']."_department_supply";
$supply_id_query = "SELECT dep_supply_no  FROM $table_name ORDER BY dep_supply_no DESC LIMIT 1  ";
$supply_id_result = mySQL_query($supply_id_query);
$dep_supply_no = mysql_result($supply_id_result, 0, "dep_supply_no");

$table_name4 = $_SESSION['db_prefix']."_department_supply_lines";  
$insert_item_query = "INSERT INTO $table_name4 (dep_supply_no, department, store_item_id, quantity, price, issue_date ) VALUES ('".$dep_supply_no."', '".$_SESSION['supply_to']."',  '".$_SESSION['store_item_id']."', '".$_SESSION['supply_qty']."', '".$price."', '".$_SESSION['issue_date']."' ) ";
execsql($insert_item_query);
}


if ($_SESSION['supply_group']=='company') {
$table_name = $_SESSION['db_prefix']."_company_supply";
$comp_supply_query = "SELECT dep_supply_no  FROM $table_name ORDER BY dep_supply_no DESC LIMIT 1  ";
$comp_supply_result = mySQL_query($comp_supply_query);
$comp_supply_num = mysql_num_rows($comp_supply_result);
if ($comp_supply_num!=0) {
$dep_supply_no = mysql_result($comp_supply_result, 0, "dep_supply_no");
}
else {
	$dep_supply_no=0;
}
$dep_supply_no=$dep_supply_no+1;


$table_name = $_SESSION['db_prefix']."_company_supply";
$supply_query = "INSERT INTO $table_name (dep_supply_no, department, supplied_to, issue_date, issued_by, authorised_by ) VALUES ( '".$dep_supply_no."', '".$_SESSION['supply_to']."','".$_SESSION['received_by']."', '".$_SESSION['issue_date']."',  '".$_SESSION['issued_by']."', '".$_SESSION['authorised_by']."' ) ";
execsql($supply_query);

$table_name = $_SESSION['db_prefix']."_company_supply";
$supply_id_query = "SELECT dep_supply_no  FROM $table_name ORDER BY dep_supply_no DESC LIMIT 1  ";
$supply_id_result = mySQL_query($supply_id_query);
$dep_supply_no = mysql_result($supply_id_result, 0, "dep_supply_no");

$table_name4 = $_SESSION['db_prefix']."_company_supply_lines";  
$insert_item_query = "INSERT INTO $table_name4 (dep_supply_no, department, store_item_id, quantity, price, issue_date ) VALUES ('".$dep_supply_no."', '".$_SESSION['supply_to']."',  '".$_SESSION['store_item_id']."', '".$_SESSION['supply_qty']."', '".$price."', '".$_SESSION['issue_date']."' ) ";
execsql($insert_item_query);
}

  

    
   $table_name2 = $_SESSION['db_prefix']."_store_items";
   $stock_total_query = "SELECT item_name, subCategory, quantity, minimumStock FROM $table_name2 WHERE store_item_id = '".$_SESSION['store_item_id']."'";
   $stock_total_result = mySQL_query($stock_total_query);
   $subCategory = mysql_result($stock_total_result ,0, "subCategory");
   $total_quantity = mysql_result($stock_total_result ,0, "quantity");
   $minimumStock = mysql_result($stock_total_result ,0, "minimumStock");
   $item_name = mysql_result($stock_total_result, 0, "item_name");
	
   $total_quantity = $total_quantity - $_SESSION['supply_qty'];
      
   $stockQuery = "UPDATE $table_name2 SET quantity = '".$total_quantity."' , lastModDate = '".$_SESSION['issue_date']."' WHERE store_item_id = '".$_SESSION['store_item_id']."'";
   	$stockResult = mySQL_query($stockQuery);
	$group_name=$subCategory;
	//$supplied_to=$_SESSION['employee_name'];	
	
	
	if ($total_quantity<=$minimumStock) {
	   	$store_item_id = $_SESSION['store_item_id'];	
		include('../include/min_stock_alert.php');
		$message_text = '<tr><td>'.$item_name.'</td><td>'.$group_name.'</td><td align=center>'.$total_quantity.'</td><td align=center>'.$minimumStock.'</td></tr>';
	}
	
	if (($_SESSION['supply_group']=='employee') OR ($_SESSION['supply_group']=='department')) {$company = 'Radstone Phakalane'; } else { $company = $_SESSION['supply_to']; }
	
	if ($_SESSION['supply_group']=='employee') { $supply_no = $emp_supply_no ; }
	if ($_SESSION['supply_group']=='department') { $supply_no = $dep_supply_no ; }
	if ($_SESSION['supply_group']=='company') { $supply_no = $dep_supply_no ; }
	
	$table_name = $_SESSION['db_prefix']."_internal_supply";
	$internal_supply_query = "INSERT INTO $table_name (supply_date, supply_no, store_item_id, store_item_name, quantity, price, supply_group, issued_to, received_by, company, supply_reason) VALUES ('".$_SESSION['issue_date']."', '".$supply_no."', '".$_SESSION['store_item_id']."', '".$item_name."', '".$_SESSION['supply_qty']."', '".$price."', '".$_SESSION['supply_group']."', '".$_SESSION['supply_to']."', '".$_SESSION['received_by']."', '".$company."', '".$_SESSION['supply_reason']."' ) ";
	execsql($internal_supply_query);
	
	
if ($_SESSION['supply_group']=='employee') {	
	$table_name = $_SESSION['db_prefix']."_tracking_store";
	$trackingQuery = "INSERT INTO $table_name (entry_date, user_name, action, details_1, details_2, details_3, details_4) VALUES ('".$entry_date."' ,'".$_SESSION['username']."', '16', '".$_SESSION['store_item_id']."', '".$_SESSION['supply_to']."' ,'".$emp_supply_no."','' )";
	$trackingResult = mySQL_query($trackingQuery);
}

if ($_SESSION['supply_group']=='department') {	
	$table_name = $_SESSION['db_prefix']."_tracking_store";
	$trackingQuery = "INSERT INTO $table_name (entry_date, user_name, action, details_1, details_2, details_3, details_4) VALUES ('".$entry_date."' ,'".$_SESSION['username']."', '15', '".$_SESSION['store_item_id']."', '".$_SESSION['supply_to']."' ,'".$_SESSION['received_by']."','' )";
	$trackingResult = mySQL_query($trackingQuery);
}

if ($_SESSION['supply_group']=='company') {	
	$table_name = $_SESSION['db_prefix']."_tracking_store";
	$trackingQuery = "INSERT INTO $table_name (entry_date, user_name, action, details_1, details_2, details_3, details_4) VALUES ('".$entry_date."' ,'".$_SESSION['username']."', '22', '".$_SESSION['store_item_id']."', '".$_SESSION['supply_to']."' ,'".$_SESSION['received_by']."','' )";
	$trackingResult = mySQL_query($trackingQuery);
}
	
if ($_SESSION['supply_group']=='employee') {
$table_name2 = $_SESSION['db_prefix']."_item_history";	
$historyQuery = "INSERT INTO $table_name2 (store_item_id, entry, reference, reference_2, reference_3, quantity, total, price, date, entryDate, userId) VALUES ('".$_SESSION['store_item_id']."', '14', '".$_SESSION['supply_to']."','".$emp_supply_no."', '".$emp_supply_no."', '".$_SESSION['supply_qty']."', '".$total_quantity."', '".$price."', '".$_SESSION['issue_date']."','".$entry_date."','".$_SESSION['username']."')";
$historyResult = mySQL_query($historyQuery);
}

if ($_SESSION['supply_group']=='department') {
$table_name2 = $_SESSION['db_prefix']."_item_history";	
$historyQuery = "INSERT INTO $table_name2 (store_item_id, entry, reference, reference_2, reference_3, quantity, total, price, date, entryDate, userId) VALUES ('".$_SESSION['store_item_id']."', '15', '".$_SESSION['supply_to']."','".$dep_supply_no."', '".$dep_supply_no."', '".$_SESSION['supply_qty']."', '".$total_quantity."', '".$price."', '".$_SESSION['issue_date']."','".$entry_date."','".$_SESSION['username']."')";
$historyResult = mySQL_query($historyQuery);
}

if ($_SESSION['supply_group']=='company') {
$table_name2 = $_SESSION['db_prefix']."_item_history";	
$historyQuery = "INSERT INTO $table_name2 (store_item_id, entry, reference, reference_2, reference_3, quantity, total, price, date, entryDate, userId) VALUES ('".$_SESSION['store_item_id']."', '19', '".$_SESSION['supply_to']."','".$dep_supply_no."', '".$dep_supply_no."', '".$_SESSION['supply_qty']."', '".$total_quantity."', '".$price."', '".$_SESSION['issue_date']."','".$entry_date."','".$_SESSION['username']."')";
$historyResult = mySQL_query($historyQuery);
}

	
if ($message_text!='') {
	   include('../include/min_stock_alert_email.php');
	}	


if (isset($_GET['new_button']) )
	   {
		 $action='supply_internalWiz0.php';
	   }
		 
if (isset($_GET['finish_button']) )
	  {
		if ($_SESSION['supply_group']=='employee') { $action='employee_supply.php?emp_supply_no='.$emp_supply_no; }
		if ($_SESSION['supply_group']=='department') { $action='department_supply.php?dep_supply_no='.$dep_supply_no; }
		if ($_SESSION['supply_group']=='company') { $action='company_supply.php?dep_supply_no='.$dep_supply_no; }
	  }
	
	 $today = date("Y-m-d");
	 $_SESSION['stores_group'] = '';
	 $_SESSION['supply_group'] = '';
	 $_SESSION['emp_id'] = '';
	 $_SESSION['emp_name'] = '';
	 $_SESSION['vehicle_id'] = '';
	 $_SESSION['vehicle_name'] = '';
	 $_SESSION['clock_reading'] = '';
	 $_SESSION['last_reading'] = '';
	 $_SESSION['clock'] = '';
	 $_SESSION['company'] = '';
	 $_SESSION['external'] = '';
	 $_SESSION['order_book'] = '';
	 $_SESSION['machine_id'] = '';
	 $_SESSION['machine_name'] = '';
	 $_SESSION['store_item_id'] = '';
	 $_SESSION['store_item_name'] = '';	
	 $_SESSION['available'] = '';
	 $_SESSION['supply_to'] = '';	
	 $_SESSION['supply_qty'] = ''; '';
	 $_SESSION['supply_reason'] = '';
	 $_SESSION['available_stock'] = '';
	 $_SESSION['department'] = '';
	 $_SESSION['received_by'] = '';
	 $_SESSION['del_note'] = '';	
     $_SESSION['issue_date']  = date("Y-m-d");
	 $_SESSION['authorised_by' ]= '';
	 $_SESSION['issued_by'] = '';
	 $_SESSION['store_item_id'] = '';
	 $_SESSION['store_item_name'] = '';
	 $_SESSION['pl'] = '0';
	
?>

<script language="javascript" type="text/javascript">
        
	  window.location="<?php echo $action?>";
        
       </script>

